
#include "ui/applic.h"
#include "appwin.h"
#include "bigstrv.h"
#include <fstream.h>

int UI_Application::Main (int, char* [])
{
    CL_StringSequence model;
    ifstream dataFile ("newsgrps.lst");
    if (!dataFile) {
        CL_Error::Warning ("File newsgrps.lst not found.");
        return 0;
    }
    CL_String line;
    do {
        line.ReadLine (dataFile);
        if (dataFile.eof()) break;
        model.Add (line);
    } while (1);
    dataFile.close();

    MakeTopWindow (new AppWindow (model));
    Run();
    return 0;
}



